Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.tck
Class AbstractMultipleConstructorTest

    java.lang.Object
      org.picocontainer.tck.AbstractMultipleConstructorTest

Direct Known Subclasses:
  DefaultMultipleConstructorTestCase

    public abstract class AbstractMultipleConstructorTest

extends Object

Author:
  Aslak Hellesøy

Nested Class Summary
`static class` | `AbstractMultipleConstructorTest.Multi`
`static class` | `AbstractMultipleConstructorTest.One`
`static class` | `AbstractMultipleConstructorTest.Three`
`static class` | `AbstractMultipleConstructorTest.Two`

Constructor Summary
`AbstractMultipleConstructorTest()`

Method Summary
`protected abstract org.picocontainer.MutablePicoContainer` | `createPicoContainer()`
`void` | `testMultiWithBothSatisfiedDependencyWorks()`
`void` | `testMultiWithOnlySmallSatisfiedDependencyWorks()`
`void` | `testMultiWithSatisfyingDependencyAndParametersWorks()`
`void` | `testMultiWithTwoEquallyBigSatisfiedDependenciesFails()`
`void` | `testStringWorks()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractMultipleConstructorTest

    public AbstractMultipleConstructorTest()

Method Detail

### createPicoContainer

    protected abstract org.picocontainer.MutablePicoContainer createPicoContainer()

### testStringWorks

    public void testStringWorks()
                         throws org.picocontainer.PicoException

  Throws:
    `org.picocontainer.PicoException`

### testMultiWithOnlySmallSatisfiedDependencyWorks

    public void testMultiWithOnlySmallSatisfiedDependencyWorks()
                                                        throws org.picocontainer.PicoException

  Throws:
    `org.picocontainer.PicoException`

### testMultiWithBothSatisfiedDependencyWorks

    public void testMultiWithBothSatisfiedDependencyWorks()
                                                   throws org.picocontainer.PicoException

  Throws:
    `org.picocontainer.PicoException`

### testMultiWithTwoEquallyBigSatisfiedDependenciesFails

    public void testMultiWithTwoEquallyBigSatisfiedDependenciesFails()
                                                              throws org.picocontainer.PicoException

  Throws:
    `org.picocontainer.PicoException`

### testMultiWithSatisfyingDependencyAndParametersWorks

    public void testMultiWithSatisfyingDependencyAndParametersWorks()
                                                             throws org.picocontainer.PicoException

  Throws:
    `org.picocontainer.PicoException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.